<?php
  //header("Content-Type: text/html; charset=iso-8859-1");
  header('Content-type: application/vnd.ms-excel');
  header("Content-Disposition: attachment; filename=reporte_tesis.xls");
  set_time_limit(150);
  ini_set('memory_limit', '228M'); 
  
 ViewResponse::getInstance()->setMethodAjax();

/*****************************************/
$o_ObjectBean = new TesisBean();
if($txtCodigoBAN   !=""){ $o_ObjectBean->setCodigoBAN($txtCodigoBAN); }
if($txtTitulo   !=""){ $o_ObjectBean->setDescripcion($txtTitulo); }
if($cboTipoTesis   !=""){ $o_ObjectBean->setTipoTesisId($cboTipoTesis); }
if($txtClave    !=""){ $o_ObjectBean->setPalabraClave($txtClave); }
if($FechaSustentacionIni !=""){ $o_ObjectBean->setFechaSustentacion($FechaSustentacionIni); }
if($FechaSustentacionFin !=""){ $o_ObjectBean->setFechaSustentacionFin($FechaSustentacionFin); }
if($FechaAprobacionIni   !=""){ $o_ObjectBean->setFechaAprobacion($FechaAprobacionIni); }
if($FechaAprobacionFin   !=""){ $o_ObjectBean->setFechaAprobacionFin($FechaAprobacionFin); }
if($FechaPublicacionIni   !=""){ $o_ObjectBean->setFechaPublicacion($FechaPublicacionIni); }
if($FechaPublicacionFin   !=""){ $o_ObjectBean->setFechaPublicacionFin($FechaPublicacionFin); }

 $o_class = new TesisBL();
 $a_ObjectBean = $o_class->busquedaTesis($o_ObjectBean);
 
$o_TesisSystemClass = new TesisSystemClass(new TipoTesisBean());
$a_TipoTesis = $o_TesisSystemClass->getTipoTesis();

//Facultades
$o_DocenteSystemClass = new DocenteSystemClass(new FacultadBean());
$a_Facultad = $o_DocenteSystemClass->getFacultad();

 
/*****************************************/
if(count($a_ObjectBean)>0){
  foreach ($a_ObjectBean as $iKey => $o_objBean){
?>
   <table border="1">
        <tr>
          <td>
            <table>
              <tr>
                <td>
                 <table>
                    <tr>
                      <td>Codigo BAN</td>
                      <td><?php echo "&nbsp;".$o_objBean->getCodigoBAN()?></td>
                    </tr>
                  </table>
                </td>
                <td></td>
              </tr>
               <tr>
                <td>
                  <table>
                     <tr>
                      <td>Tipo</td>
                      <?php 
                      foreach ($a_TipoTesis as $iKey => $o_TipoTesisBean){
   		                 if($o_objBean->getTipoTesisId() == $o_TipoTesisBean->getTipoTesisId()){ ?>
                        <td><?php echo $o_TipoTesisBean->getTipoTesisDescripcion()?></td>
                        <?php
   		                 }
                      }?>
                    </tr>
                  </table>
                </td>
                <td></td>
              </tr>
               <tr>
                <td colspan="2">Titulo</td>
              </tr>
               <tr>
                <td  colspan="2"><?php echo "&nbsp;".$o_objBean->getDescripcion()?></td>
              </tr>
              <tr>
                <td>
                <table>
                  <tr>
                    <td>Fecha de Sustentación</td>
                    <td><?php echo "&nbsp;".$o_objBean->getFechaSustentacion()?></td>
                  </tr>
                </table>
                </td>
                <td></td>
              </tr>
              <tr>
                <td>
                  <table>
                    <tr>
                      <td>Fecha de Aprobación</td>
                      <td><?php echo "&nbsp;".$o_objBean->getFechaAprobacion()?></td>
                    </tr>
                  </table>
                </td>
                <td></td>
              </tr>
              <tr>
                <td>
                  <table>
                    <tr>
                      <td>Fecha de Publicación</td>
                      <td><?php echo $o_objBean->getFechaPublicacion()?></td>
                    </tr>
                  </table>
                </td>
                <td></td>
              </tr>
               <tr>
                <td>
                  <table>
                    <tr>
                      <td>Facultad</td>
                      <td> <?php foreach ($a_Facultad as $iKey => $o_FacultadBean){
                                  if($o_FacultadBean->getFacultadId() == $o_objBean->getFacultadId()){
                                    echo $o_FacultadBean->getDescripcion();
                                  }
                                 }?>
                      </td>
                    </tr>
                  </table>
                </td>
                <td></td>
              </tr>
               <tr>
                <td>
                  <table>
                    <tr>
                      <td>Especialidad</td>
                      <td><?php echo $o_objBean->getEspecialidadId()?></td>
                    </tr>
                  </table>
                </td>
                <td></td>
              </tr>
              <tr>
                <td colspan="2">Participantes</td>
              </tr>
              
              <?php 
              
              //Docentes de la Tesis
              $o_TesisDocenteBean = new TesisDocenteBean();
              $o_TesisDocenteBean->setTesisId($o_objBean->getTesisId());
              
              $o_TesisDocenteBL = new TesisDocenteBL();
              $a_o_TesisDocente = $o_TesisDocenteBL->busquedaTesisDocenteDetalle($o_TesisDocenteBean);
                     
              //Alumnos de la Tesis
              $o_TesisAlumnoBean = new TesisAlumnoBean();
              $o_TesisAlumnoBean->setTesisId($o_objBean->getTesisId());
              
              $o_TesisAlumnoBL = new TesisAlumnoBL();
              $a_o_TesisAlumno = $o_TesisAlumnoBL->busquedaTesisAlumnoDetalle($o_TesisAlumnoBean);
                  
              //Externo de la Tesis
              $o_TesisExternoBean = new TesisExternoBean();
              $o_TesisExternoBean->setTesisId($o_objBean->getTesisId());
              
              $o_TesisExternoBL = new TesisExternoBL();
              $a_o_TesisExterno = $o_TesisExternoBL->busquedaTesisExternoDetalle($o_TesisExternoBean);
              
              ?>
              <tr>
                  <td>
                    <table border="1">
                      <tr>
                        <td>Codigo </td>
                        <td>Nombre</td>
                       
                      </tr>
                      </table>
                    </td>
              </tr>
                
              <?php
              
              if(count($a_o_TesisDocente)){
                ?>
                <tr>
                  <td colspan="2">Docentes</td>
                </tr>
                <tr>
                  <td>
                    <table border="1">
                      <?php
                      foreach ($a_o_TesisDocente as $iKey => $o_TesisDocente){ ?>
                        <tr>
                          <td><?php echo $o_TesisDocente->getObjectDocente()->getCodigoDocente()?></td>
                          <td><?php echo $o_TesisDocente->getObjectDocente()->getNombre()?></td>
                         
                        </tr>
                      <?php 
                      }
                     ?>
                     </table>
                    </td>
                 </tr>
               <?php
               }    
               if(count($a_o_TesisAlumno)){
                ?>
                <tr>
                  <td colspan="2">Alumnos</td>
                </tr>
                <tr>
                  <td>
                     <table border="1">
                     
                      <?php
                        foreach ($a_o_TesisAlumno as $iKey => $o_TesisAlumno){ ?>
                        <tr>
                          <td><?php echo $o_TesisAlumno->getObjectAlumno()->getCodigoAlumno()?></td>
                          <td><?php echo $o_TesisAlumno->getObjectAlumno()->getNombre()?></td>
                         
                        </tr>
                        <?php 
                      }
                      ?>
                      </table>
                    </td>
                 </tr>
               <?php
               }    
               if(count($a_o_TesisExterno)){
                ?>
                <tr>
                  <td colspan="2">Externos</td>
                </tr>
                 <tr>
                  <td>
                     <table border="1">
                      <?php
                        foreach ($a_o_TesisExterno as $iKey => $o_TesisExterno){ ?>
                        <tr>
                          <td><?php echo $o_TesisExterno->getObjectExterno()->getCodigo()?></td>
                          <td><?php echo $o_TesisExterno->getObjectExterno()->getNombre()?></td>
                         
                        </tr>
                        <?php 
                      }?>
                      </table>
                    </td>
                 </tr>
               <?php
               }    
              
             ?> 
             <tr><td></td></tr>
             <tr><td></td></tr>
            </table>
          </td>
        </tr>
    </table>
    <?php
  }
}
 ini_set('memory_limit', '32M');
?>